Прекращение поддержки плагинов NPAPI в Chrome

Ранее плагины помогали расширить функциональность браузера. Однако теперь большую часть этих функций по умолчанию выполняет HTML5. С 1 сентября 2015 года поддержка таких плагинов в браузере Chrome прекращена.

Поддержка плагинов NPAPI прекращена

В прошлом многие плагины разрабатывались на основе системы NPAPI. Сейчас эти устаревшие плагины почти не используются, так как могут вызвать проблемы с безопасностью веб-сайта.

Нам важно, чтобы Chrome оставался надежным, быстрым и стабильным браузером, поэтому с 1 сентября 2015 года мы прекращаем поддержку плагинов NPAPI.

После этой даты плагины на основе NPAPI, в том числе Silverlight, Java и Unity, работать не будут. Чтобы и дальше использовать их, выберите другой браузер.

Плагины PPAPI

Мы по-прежнему поддерживаем плагины, которые используют новую безопасную систему Pepper API (PPAPI). К ним относятся, например, предустановленные в Chrome плагины Adobe Flash. Плагины PPAPI автоматически обновляются вместе с браузером Chrome.

Проблемы, связанные с работой Flash

Если в работе Flash возникли сбои, выполните описанные ниже действия.

Шаг 1. Включите плагины PPAPI.

  1. Запустите браузер Chrome.
  2. Введите chrome://plugins в адресной строке и нажмите Ввод.
  3. Выберите Подробнее.
  4. Прокрутите страницу до раздела Adobe Flash Player.
  5. Нажмите на ссылку Включить под пунктом "Тип: PPAPI".

Шаг 2. Проверьте версию Chrome. Adobe Flash Player обновляется одновременно с браузером Chrome.

Шаг 3: Обновите Adobe Flash Player вручную.

  1. Запустите браузер Chrome.
  2. Введите chrome://components в адресной строке и нажмите Ввод.
  3. В разделе "pepper_flash" нажмите Проверить обновления.

Обратите внимание, что плагины на основе NPAPI, в том числе Silverlight, Java и Unity, работать не будут.

Лора (Laura) – эксперт по работе с Google Chrome и автор этой статьи. Оставьте для нее отзыв.

Была ли эта статья полезна?